source: git/libfac/configure @ eebb6fb

spielwiese
Last change on this file since eebb6fb was eebb6fb, checked in by Hans Schoenemann <hannes@…>, 14 years ago
3-1-2 git-svn-id: file:///usr/local/Singular/svn/trunk@13486 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 44.2 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
16ac_help="$ac_help
17  --with-Singular build for use with Singular"
18ac_help="$ac_help
19  --with-Singularerror use error reporting from Singular"
20ac_help="$ac_help
21  --with-NOSTREAMIO : do not require iostream include nor library"
22
23# Initialize some variables set by options.
24# The variables have the same names as the options, with
25# dashes changed to underlines.
26build=NONE
27cache_file=./config.cache
28exec_prefix=NONE
29host=NONE
30no_create=
31nonopt=NONE
32no_recursion=
33prefix=NONE
34program_prefix=NONE
35program_suffix=NONE
36program_transform_name=s,x,x,
37silent=
38site=
39srcdir=
40target=NONE
41verbose=
42x_includes=NONE
43x_libraries=NONE
44bindir='${exec_prefix}/bin'
45sbindir='${exec_prefix}/sbin'
46libexecdir='${exec_prefix}/libexec'
47datadir='${prefix}/share'
48sysconfdir='${prefix}/etc'
49sharedstatedir='${prefix}/com'
50localstatedir='${prefix}/var'
51libdir='${exec_prefix}/lib'
52includedir='${prefix}/include'
53oldincludedir='/usr/include'
54infodir='${prefix}/info'
55mandir='${prefix}/man'
56
57# Initialize some other variables.
58subdirs=
59MFLAGS= MAKEFLAGS=
60SHELL=${CONFIG_SHELL-/bin/sh}
61# Maximum number of lines to put in a shell here document.
62ac_max_here_lines=12
63
64ac_prev=
65for ac_option
66do
67
68  # If the previous option needs an argument, assign it.
69  if test -n "$ac_prev"; then
70    eval "$ac_prev=\$ac_option"
71    ac_prev=
72    continue
73  fi
74
75  case "$ac_option" in
76  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
77  *) ac_optarg= ;;
78  esac
79
80  # Accept the important Cygnus configure options, so we can diagnose typos.
81
82  case "$ac_option" in
83
84  -bindir | --bindir | --bindi | --bind | --bin | --bi)
85    ac_prev=bindir ;;
86  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
87    bindir="$ac_optarg" ;;
88
89  -build | --build | --buil | --bui | --bu)
90    ac_prev=build ;;
91  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
92    build="$ac_optarg" ;;
93
94  -cache-file | --cache-file | --cache-fil | --cache-fi \
95  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
96    ac_prev=cache_file ;;
97  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
98  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
99    cache_file="$ac_optarg" ;;
100
101  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
102    ac_prev=datadir ;;
103  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
104  | --da=*)
105    datadir="$ac_optarg" ;;
106
107  -disable-* | --disable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    eval "enable_${ac_feature}=no" ;;
115
116  -enable-* | --enable-*)
117    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
118    # Reject names that are not valid shell variable names.
119    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
120      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
121    fi
122    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
123    case "$ac_option" in
124      *=*) ;;
125      *) ac_optarg=yes ;;
126    esac
127    eval "enable_${ac_feature}='$ac_optarg'" ;;
128
129  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
130  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
131  | --exec | --exe | --ex)
132    ac_prev=exec_prefix ;;
133  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
134  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
135  | --exec=* | --exe=* | --ex=*)
136    exec_prefix="$ac_optarg" ;;
137
138  -gas | --gas | --ga | --g)
139    # Obsolete; use --with-gas.
140    with_gas=yes ;;
141
142  -help | --help | --hel | --he)
143    # Omit some internal or obsolete options to make the list less imposing.
144    # This message is too long to be a string in the A/UX 3.1 sh.
145    cat << EOF
146Usage: configure [options] [host]
147Options: [defaults in brackets after descriptions]
148Configuration:
149  --cache-file=FILE       cache test results in FILE
150  --help                  print this message
151  --no-create             do not create output files
152  --quiet, --silent       do not print \`checking...' messages
153  --version               print the version of autoconf that created configure
154Directory and file names:
155  --prefix=PREFIX         install architecture-independent files in PREFIX
156                          [$ac_default_prefix]
157  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
158                          [same as prefix]
159  --bindir=DIR            user executables in DIR [EPREFIX/bin]
160  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
161  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
162  --datadir=DIR           read-only architecture-independent data in DIR
163                          [PREFIX/share]
164  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
165  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
166                          [PREFIX/com]
167  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
168  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
169  --includedir=DIR        C header files in DIR [PREFIX/include]
170  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
171  --infodir=DIR           info documentation in DIR [PREFIX/info]
172  --mandir=DIR            man documentation in DIR [PREFIX/man]
173  --srcdir=DIR            find the sources in DIR [configure dir or ..]
174  --program-prefix=PREFIX prepend PREFIX to installed program names
175  --program-suffix=SUFFIX append SUFFIX to installed program names
176  --program-transform-name=PROGRAM
177                          run sed PROGRAM on installed program names
178EOF
179    cat << EOF
180Host type:
181  --build=BUILD           configure for building on BUILD [BUILD=HOST]
182  --host=HOST             configure for HOST [guessed]
183  --target=TARGET         configure for TARGET [TARGET=HOST]
184Features and packages:
185  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
186  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
187  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
188  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
189  --x-includes=DIR        X include files are in DIR
190  --x-libraries=DIR       X library files are in DIR
191EOF
192    if test -n "$ac_help"; then
193      echo "--enable and --with options recognized:$ac_help"
194    fi
195    exit 0 ;;
196
197  -host | --host | --hos | --ho)
198    ac_prev=host ;;
199  -host=* | --host=* | --hos=* | --ho=*)
200    host="$ac_optarg" ;;
201
202  -includedir | --includedir | --includedi | --included | --include \
203  | --includ | --inclu | --incl | --inc)
204    ac_prev=includedir ;;
205  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
206  | --includ=* | --inclu=* | --incl=* | --inc=*)
207    includedir="$ac_optarg" ;;
208
209  -infodir | --infodir | --infodi | --infod | --info | --inf)
210    ac_prev=infodir ;;
211  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
212    infodir="$ac_optarg" ;;
213
214  -libdir | --libdir | --libdi | --libd)
215    ac_prev=libdir ;;
216  -libdir=* | --libdir=* | --libdi=* | --libd=*)
217    libdir="$ac_optarg" ;;
218
219  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
220  | --libexe | --libex | --libe)
221    ac_prev=libexecdir ;;
222  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
223  | --libexe=* | --libex=* | --libe=*)
224    libexecdir="$ac_optarg" ;;
225
226  -localstatedir | --localstatedir | --localstatedi | --localstated \
227  | --localstate | --localstat | --localsta | --localst \
228  | --locals | --local | --loca | --loc | --lo)
229    ac_prev=localstatedir ;;
230  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
231  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
232  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
233    localstatedir="$ac_optarg" ;;
234
235  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
236    ac_prev=mandir ;;
237  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
238    mandir="$ac_optarg" ;;
239
240  -nfp | --nfp | --nf)
241    # Obsolete; use --without-fp.
242    with_fp=no ;;
243
244  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
245  | --no-cr | --no-c)
246    no_create=yes ;;
247
248  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
249  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
250    no_recursion=yes ;;
251
252  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
253  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
254  | --oldin | --oldi | --old | --ol | --o)
255    ac_prev=oldincludedir ;;
256  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
257  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
258  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
259    oldincludedir="$ac_optarg" ;;
260
261  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
262    ac_prev=prefix ;;
263  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
264    prefix="$ac_optarg" ;;
265
266  -program-prefix | --program-prefix | --program-prefi | --program-pref \
267  | --program-pre | --program-pr | --program-p)
268    ac_prev=program_prefix ;;
269  -program-prefix=* | --program-prefix=* | --program-prefi=* \
270  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
271    program_prefix="$ac_optarg" ;;
272
273  -program-suffix | --program-suffix | --program-suffi | --program-suff \
274  | --program-suf | --program-su | --program-s)
275    ac_prev=program_suffix ;;
276  -program-suffix=* | --program-suffix=* | --program-suffi=* \
277  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
278    program_suffix="$ac_optarg" ;;
279
280  -program-transform-name | --program-transform-name \
281  | --program-transform-nam | --program-transform-na \
282  | --program-transform-n | --program-transform- \
283  | --program-transform | --program-transfor \
284  | --program-transfo | --program-transf \
285  | --program-trans | --program-tran \
286  | --progr-tra | --program-tr | --program-t)
287    ac_prev=program_transform_name ;;
288  -program-transform-name=* | --program-transform-name=* \
289  | --program-transform-nam=* | --program-transform-na=* \
290  | --program-transform-n=* | --program-transform-=* \
291  | --program-transform=* | --program-transfor=* \
292  | --program-transfo=* | --program-transf=* \
293  | --program-trans=* | --program-tran=* \
294  | --progr-tra=* | --program-tr=* | --program-t=*)
295    program_transform_name="$ac_optarg" ;;
296
297  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
298  | -silent | --silent | --silen | --sile | --sil)
299    silent=yes ;;
300
301  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
302    ac_prev=sbindir ;;
303  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
304  | --sbi=* | --sb=*)
305    sbindir="$ac_optarg" ;;
306
307  -sharedstatedir | --sharedstatedir | --sharedstatedi \
308  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
309  | --sharedst | --shareds | --shared | --share | --shar \
310  | --sha | --sh)
311    ac_prev=sharedstatedir ;;
312  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
313  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
314  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
315  | --sha=* | --sh=*)
316    sharedstatedir="$ac_optarg" ;;
317
318  -site | --site | --sit)
319    ac_prev=site ;;
320  -site=* | --site=* | --sit=*)
321    site="$ac_optarg" ;;
322
323  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
324    ac_prev=srcdir ;;
325  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
326    srcdir="$ac_optarg" ;;
327
328  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
329  | --syscon | --sysco | --sysc | --sys | --sy)
330    ac_prev=sysconfdir ;;
331  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
332  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
333    sysconfdir="$ac_optarg" ;;
334
335  -target | --target | --targe | --targ | --tar | --ta | --t)
336    ac_prev=target ;;
337  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
338    target="$ac_optarg" ;;
339
340  -v | -verbose | --verbose | --verbos | --verbo | --verb)
341    verbose=yes ;;
342
343  -version | --version | --versio | --versi | --vers)
344    echo "configure generated by autoconf version 2.13"
345    exit 0 ;;
346
347  -with-* | --with-*)
348    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
349    # Reject names that are not valid shell variable names.
350    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
351      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
352    fi
353    ac_package=`echo $ac_package| sed 's/-/_/g'`
354    case "$ac_option" in
355      *=*) ;;
356      *) ac_optarg=yes ;;
357    esac
358    eval "with_${ac_package}='$ac_optarg'" ;;
359
360  -without-* | --without-*)
361    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
362    # Reject names that are not valid shell variable names.
363    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
364      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
365    fi
366    ac_package=`echo $ac_package| sed 's/-/_/g'`
367    eval "with_${ac_package}=no" ;;
368
369  --x)
370    # Obsolete; use --with-x.
371    with_x=yes ;;
372
373  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
374  | --x-incl | --x-inc | --x-in | --x-i)
375    ac_prev=x_includes ;;
376  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
377  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
378    x_includes="$ac_optarg" ;;
379
380  -x-libraries | --x-libraries | --x-librarie | --x-librari \
381  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
382    ac_prev=x_libraries ;;
383  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
384  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
385    x_libraries="$ac_optarg" ;;
386
387  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
388    ;;
389
390  *)
391    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
392      echo "configure: warning: $ac_option: invalid host type" 1>&2
393    fi
394    if test "x$nonopt" != xNONE; then
395      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
396    fi
397    nonopt="$ac_option"
398    ;;
399
400  esac
401done
402
403if test -n "$ac_prev"; then
404  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
405fi
406
407trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
408
409# File descriptor usage:
410# 0 standard input
411# 1 file creation
412# 2 errors and warnings
413# 3 some systems may open it to /dev/tty
414# 4 used on the Kubota Titan
415# 6 checking for... messages and results
416# 5 compiler messages saved in config.log
417if test "$silent" = yes; then
418  exec 6>/dev/null
419else
420  exec 6>&1
421fi
422exec 5>./config.log
423
424echo "\
425This file contains any messages produced by compilers while
426running configure, to aid debugging if configure makes a mistake.
427" 1>&5
428
429# Strip out --no-create and --no-recursion so they do not pile up.
430# Also quote any args containing shell metacharacters.
431ac_configure_args=
432for ac_arg
433do
434  case "$ac_arg" in
435  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
436  | --no-cr | --no-c) ;;
437  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
438  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
439  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
440  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
441  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
442  esac
443done
444
445# NLS nuisances.
446# Only set these to C if already set.  These must not be set unconditionally
447# because not all systems understand e.g. LANG=C (notably SCO).
448# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
449# Non-C LC_CTYPE values break the ctype check.
450if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
451if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
452if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
453if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
454
455# confdefs.h avoids OS command line length limits that DEFS can exceed.
456rm -rf conftest* confdefs.h
457# AIX cpp loses on an empty file, so make sure it contains at least a newline.
458echo > confdefs.h
459
460# A filename unique to this package, relative to the directory that
461# configure is in, which we can look for to find out if srcdir is correct.
462ac_unique_file=factor.h
463
464# Find the source files, if location was not specified.
465if test -z "$srcdir"; then
466  ac_srcdir_defaulted=yes
467  # Try the directory containing this script, then its parent.
468  ac_prog=$0
469  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
470  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
471  srcdir=$ac_confdir
472  if test ! -r $srcdir/$ac_unique_file; then
473    srcdir=..
474  fi
475else
476  ac_srcdir_defaulted=no
477fi
478if test ! -r $srcdir/$ac_unique_file; then
479  if test "$ac_srcdir_defaulted" = yes; then
480    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
481  else
482    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
483  fi
484fi
485srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
486
487# Prefer explicitly selected file to automatically selected ones.
488if test -z "$CONFIG_SITE"; then
489  if test "x$prefix" != xNONE; then
490    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
491  else
492    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
493  fi
494fi
495for ac_site_file in $CONFIG_SITE; do
496  if test -r "$ac_site_file"; then
497    echo "loading site script $ac_site_file"
498    . "$ac_site_file"
499  fi
500done
501
502if test -r "$cache_file"; then
503  echo "loading cache $cache_file"
504  . $cache_file
505else
506  echo "creating cache $cache_file"
507  > $cache_file
508fi
509
510ac_ext=c
511# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
512ac_cpp='$CPP $CPPFLAGS'
513ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
514ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
515cross_compiling=$ac_cv_prog_cc_cross
516
517ac_exeext=
518ac_objext=o
519if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
520  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
521  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
522    ac_n= ac_c='
523' ac_t='        '
524  else
525    ac_n=-n ac_c= ac_t=
526  fi
527else
528  ac_n= ac_c='\c' ac_t=
529fi
530
531
532
533
534libfac_name="\"Factorization and characteristic sets library\""
535
536libfac_version="3.1.2"
537cat >> confdefs.h <<EOF
538#define LIBFAC_VERSION "$libfac_version"
539EOF
540
541
542libfac_date="\"Oct 2010\""
543cat >> confdefs.h <<EOF
544#define LIBFAC_DATE $libfac_date
545EOF
546
547
548libfac_author="\"M. Messollen\""
549
550
551
552libfac="libfac"
553
554libfac_g="libfac-g"
555
556libsingfac="libsingfac"
557
558libsingfac_g="libsingfac-g"
559
560factorH="factor.h"
561
562
563
564# Check whether --with-debug or --without-debug was given.
565if test "${with_debug+set}" = set; then
566  withval="$with_debug"
567  :
568fi
569
570
571# Check whether --with-Singular or --without-Singular was given.
572if test "${with_Singular+set}" = set; then
573  withval="$with_Singular"
574  :
575fi
576
577
578if test "$with_Singular" = yes; then
579  cat >> confdefs.h <<\EOF
580#define SINGULAR 1
581EOF
582
583  cat >> confdefs.h <<\EOF
584#define NOSTREAMIO 1
585EOF
586
587  if test "$with_debug" = yes; then
588     targetname="libsingfac-g"
589  else
590     targetname="libsingfac"
591  fi
592else
593  if test "$with_debug" = yes; then
594     targetname="libfac-g"
595  else
596     targetname="libfac"
597  fi
598fi
599
600# Check whether --with-Singularerror or --without-Singularerror was given.
601if test "${with_Singularerror+set}" = set; then
602  withval="$with_Singularerror"
603  :
604fi
605
606
607if test "$with_Singularerror" = yes; then
608  cat >> confdefs.h <<\EOF
609#define SINGULAR_ERROR 1
610EOF
611
612fi
613
614# Check whether --with-NOSTREAMIO or --without-NOSTREAMIO was given.
615if test "${with_NOSTREAMIO+set}" = set; then
616  withval="$with_NOSTREAMIO"
617  :
618fi
619
620
621if test "$with_NOSTREAMIO" = yes; then
622  cat >> confdefs.h <<\EOF
623#define NOSTREAMIO 1
624EOF
625
626fi
627
628if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
629  test "${ac_default_prefix}" != "/usr/local" || \
630  test "${includedir}" != '${prefix}/include'; then
631  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
632fi
633CPPFLAGS="-I./factor ${CPPFLAGS}"
634
635if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
636  test "${ac_default_prefix}" != "/usr/local" || \
637  test "${libdir}" != '${prefix}/lib'; then
638  LDFLAGS="-L${libdir} ${LDFLAGS}"
639fi
640LDFLAGS="-L. ${LDFLAGS}"
641
642if test "${CXXFLAGS+set}" != set; then
643  ac_cxxflags_set=no
644  if test "$with_debug" = yes; then
645    CXXFLAGS="-g"
646  else
647    CXXFLAGS="-O"
648    cat >> confdefs.h <<\EOF
649#define NDEBUG 1
650EOF
651
652  fi
653fi
654
655ac_ext=C
656# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
657ac_cpp='$CXXCPP $CPPFLAGS'
658ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
659ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
660cross_compiling=$ac_cv_prog_cxx_cross
661
662for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
663do
664# Extract the first word of "$ac_prog", so it can be a program name with args.
665set dummy $ac_prog; ac_word=$2
666echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
667echo "configure:668: checking for $ac_word" >&5
668if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
669  echo $ac_n "(cached) $ac_c" 1>&6
670else
671  if test -n "$CXX"; then
672  ac_cv_prog_CXX="$CXX" # Let the user override the test.
673else
674  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
675  ac_dummy="$PATH"
676  for ac_dir in $ac_dummy; do
677    test -z "$ac_dir" && ac_dir=.
678    if test -f $ac_dir/$ac_word; then
679      ac_cv_prog_CXX="$ac_prog"
680      break
681    fi
682  done
683  IFS="$ac_save_ifs"
684fi
685fi
686CXX="$ac_cv_prog_CXX"
687if test -n "$CXX"; then
688  echo "$ac_t""$CXX" 1>&6
689else
690  echo "$ac_t""no" 1>&6
691fi
692
693test -n "$CXX" && break
694done
695test -n "$CXX" || CXX="gcc"
696
697
698echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
699echo "configure:700: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
700
701ac_ext=C
702# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
703ac_cpp='$CXXCPP $CPPFLAGS'
704ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
705ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
706cross_compiling=$ac_cv_prog_cxx_cross
707
708cat > conftest.$ac_ext << EOF
709
710#line 711 "configure"
711#include "confdefs.h"
712
713int main(){return(0);}
714EOF
715if { (eval echo configure:716: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
716  ac_cv_prog_cxx_works=yes
717  # If we can't run a trivial program, we are probably using a cross compiler.
718  if (./conftest; exit) 2>/dev/null; then
719    ac_cv_prog_cxx_cross=no
720  else
721    ac_cv_prog_cxx_cross=yes
722  fi
723else
724  echo "configure: failed program was:" >&5
725  cat conftest.$ac_ext >&5
726  ac_cv_prog_cxx_works=no
727fi
728rm -fr conftest*
729ac_ext=C
730# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
731ac_cpp='$CXXCPP $CPPFLAGS'
732ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
733ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
734cross_compiling=$ac_cv_prog_cxx_cross
735
736echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
737if test $ac_cv_prog_cxx_works = no; then
738  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
739fi
740echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
741echo "configure:742: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
742echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
743cross_compiling=$ac_cv_prog_cxx_cross
744
745echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
746echo "configure:747: checking whether we are using GNU C++" >&5
747if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
748  echo $ac_n "(cached) $ac_c" 1>&6
749else
750  cat > conftest.C <<EOF
751#ifdef __GNUC__
752  yes;
753#endif
754EOF
755if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
756  ac_cv_prog_gxx=yes
757else
758  ac_cv_prog_gxx=no
759fi
760fi
761
762echo "$ac_t""$ac_cv_prog_gxx" 1>&6
763
764if test $ac_cv_prog_gxx = yes; then
765  GXX=yes
766else
767  GXX=
768fi
769
770ac_test_CXXFLAGS="${CXXFLAGS+set}"
771ac_save_CXXFLAGS="$CXXFLAGS"
772CXXFLAGS=
773echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
774echo "configure:775: checking whether ${CXX-g++} accepts -g" >&5
775if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
776  echo $ac_n "(cached) $ac_c" 1>&6
777else
778  echo 'void f(){}' > conftest.cc
779if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
780  ac_cv_prog_cxx_g=yes
781else
782  ac_cv_prog_cxx_g=no
783fi
784rm -f conftest*
785
786fi
787
788echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
789if test "$ac_test_CXXFLAGS" = set; then
790  CXXFLAGS="$ac_save_CXXFLAGS"
791elif test $ac_cv_prog_cxx_g = yes; then
792  if test "$GXX" = yes; then
793    CXXFLAGS="-g -O2"
794  else
795    CXXFLAGS="-g"
796  fi
797else
798  if test "$GXX" = yes; then
799    CXXFLAGS="-O2"
800  else
801    CXXFLAGS=
802  fi
803fi
804
805echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
806echo "configure:807: checking how to run the C++ preprocessor" >&5
807if test -z "$CXXCPP"; then
808if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
809  echo $ac_n "(cached) $ac_c" 1>&6
810else
811  ac_ext=C
812# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
813ac_cpp='$CXXCPP $CPPFLAGS'
814ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
815ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
816cross_compiling=$ac_cv_prog_cxx_cross
817  CXXCPP="${CXX-g++} -E"
818  cat > conftest.$ac_ext <<EOF
819#line 820 "configure"
820#include "confdefs.h"
821#include <stdlib.h>
822EOF
823ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
824{ (eval echo configure:825: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
825ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
826if test -z "$ac_err"; then
827  :
828else
829  echo "$ac_err" >&5
830  echo "configure: failed program was:" >&5
831  cat conftest.$ac_ext >&5
832  rm -rf conftest*
833  CXXCPP=/lib/cpp
834fi
835rm -f conftest*
836  ac_cv_prog_CXXCPP="$CXXCPP"
837ac_ext=C
838# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
839ac_cpp='$CXXCPP $CPPFLAGS'
840ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
841ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
842cross_compiling=$ac_cv_prog_cxx_cross
843fi
844fi
845CXXCPP="$ac_cv_prog_CXXCPP"
846echo "$ac_t""$CXXCPP" 1>&6
847
848
849echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
850echo "configure:851: checking whether ${MAKE-make} sets \${MAKE}" >&5
851set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
852if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
853  echo $ac_n "(cached) $ac_c" 1>&6
854else
855  cat > conftestmake <<\EOF
856all:
857        @echo 'ac_maketemp="${MAKE}"'
858EOF
859# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
860eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
861if test -n "$ac_maketemp"; then
862  eval ac_cv_prog_make_${ac_make}_set=yes
863else
864  eval ac_cv_prog_make_${ac_make}_set=no
865fi
866rm -f conftestmake
867fi
868if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
869  echo "$ac_t""yes" 1>&6
870  SET_MAKE=
871else
872  echo "$ac_t""no" 1>&6
873  SET_MAKE="MAKE=${MAKE-make}"
874fi
875
876# Extract the first word of "ranlib", so it can be a program name with args.
877set dummy ranlib; ac_word=$2
878echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
879echo "configure:880: checking for $ac_word" >&5
880if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
881  echo $ac_n "(cached) $ac_c" 1>&6
882else
883  if test -n "$RANLIB"; then
884  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
885else
886  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
887  ac_dummy="$PATH"
888  for ac_dir in $ac_dummy; do
889    test -z "$ac_dir" && ac_dir=.
890    if test -f $ac_dir/$ac_word; then
891      ac_cv_prog_RANLIB="ranlib"
892      break
893    fi
894  done
895  IFS="$ac_save_ifs"
896  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
897fi
898fi
899RANLIB="$ac_cv_prog_RANLIB"
900if test -n "$RANLIB"; then
901  echo "$ac_t""$RANLIB" 1>&6
902else
903  echo "$ac_t""no" 1>&6
904fi
905
906# Extract the first word of "ar", so it can be a program name with args.
907set dummy ar; ac_word=$2
908echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
909echo "configure:910: checking for $ac_word" >&5
910if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
911  echo $ac_n "(cached) $ac_c" 1>&6
912else
913  if test -n "$AR"; then
914  ac_cv_prog_AR="$AR" # Let the user override the test.
915else
916  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
917  ac_dummy="$PATH"
918  for ac_dir in $ac_dummy; do
919    test -z "$ac_dir" && ac_dir=.
920    if test -f $ac_dir/$ac_word; then
921      ac_cv_prog_AR="ar"
922      break
923    fi
924  done
925  IFS="$ac_save_ifs"
926fi
927fi
928AR="$ac_cv_prog_AR"
929if test -n "$AR"; then
930  echo "$ac_t""$AR" 1>&6
931else
932  echo "$ac_t""no" 1>&6
933fi
934
935if test -z "$AR"; then
936  { echo "configure: error: Need ar" 1>&2; exit 1; }
937fi
938
939
940ac_safe=`echo "factory.h" | sed 'y%./+-%__p_%'`
941echo $ac_n "checking for factory.h""... $ac_c" 1>&6
942echo "configure:943: checking for factory.h" >&5
943if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
944  echo $ac_n "(cached) $ac_c" 1>&6
945else
946  cat > conftest.$ac_ext <<EOF
947#line 948 "configure"
948#include "confdefs.h"
949#include <factory.h>
950EOF
951ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
952{ (eval echo configure:953: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
953ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
954if test -z "$ac_err"; then
955  rm -rf conftest*
956  eval "ac_cv_header_$ac_safe=yes"
957else
958  echo "$ac_err" >&5
959  echo "configure: failed program was:" >&5
960  cat conftest.$ac_ext >&5
961  rm -rf conftest*
962  eval "ac_cv_header_$ac_safe=no"
963fi
964rm -f conftest*
965fi
966if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
967  echo "$ac_t""yes" 1>&6
968  :
969else
970  echo "$ac_t""no" 1>&6
971echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
972fi
973
974
975
976
977if test x${GXX} = xyes; then
978
979  if test "$ac_cxxflags_set" = no; then
980    if test "$with_debug" = yes; then
981       CXXFLAGS="-O -g"
982    else
983       CXXFLAGS="-O3 "
984    fi
985# check whether CXX accepts -fno-rtti
986
987ac_ext=C
988# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
989ac_cpp='$CXXCPP $CPPFLAGS'
990ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
991ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
992cross_compiling=$ac_cv_prog_cxx_cross
993
994echo $ac_n "checking whether gcc accepts -fno-rtti""... $ac_c" 1>&6
995echo "configure:996: checking whether gcc accepts -fno-rtti" >&5
996tmp_flags=${CXXFLAGS}
997CXXFLAGS="${CXXFLAGS} -fno-rtti"
998if eval "test \"`echo '$''{'ac_cv_cxx_have_rtti'+set}'`\" = set"; then
999  echo $ac_n "(cached) $ac_c" 1>&6
1000else
1001  cat > conftest.$ac_ext <<EOF
1002#line 1003 "configure"
1003#include "confdefs.h"
1004
1005int main() {
1006
1007; return 0; }
1008EOF
1009if { (eval echo configure:1010: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1010  rm -rf conftest*
1011  ac_cv_cxx_have_rtti=yes
1012else
1013  echo "configure: failed program was:" >&5
1014  cat conftest.$ac_ext >&5
1015  rm -rf conftest*
1016  ac_cv_cxx_have_rtti=no
1017fi
1018rm -f conftest*
1019
1020fi
1021
1022echo "$ac_t""${ac_cv_cxx_have_rtti}" 1>&6
1023CXXFLAGS=$tmp_flags
1024if test "${ac_cv_cxx_have_rtti}" = yes; then
1025CXXFLAGS="$CXXFLAGS -fno-rtti"
1026fi
1027
1028echo $ac_n "checking whether gcc accepts -fno-exceptions""... $ac_c" 1>&6
1029echo "configure:1030: checking whether gcc accepts -fno-exceptions" >&5
1030tmp_flags=${CXXFLAGS}
1031CXXFLAGS="${CXXFLAGS} -fno-exceptions"
1032if eval "test \"`echo '$''{'ac_cv_cxx_have_exceptions'+set}'`\" = set"; then
1033  echo $ac_n "(cached) $ac_c" 1>&6
1034else
1035  cat > conftest.$ac_ext <<EOF
1036#line 1037 "configure"
1037#include "confdefs.h"
1038
1039int main() {
1040
1041; return 0; }
1042EOF
1043if { (eval echo configure:1044: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1044  rm -rf conftest*
1045  ac_cv_cxx_have_exceptions=yes
1046else
1047  echo "configure: failed program was:" >&5
1048  cat conftest.$ac_ext >&5
1049  rm -rf conftest*
1050  ac_cv_cxx_have_exceptions=no
1051fi
1052rm -f conftest*
1053
1054fi
1055
1056echo "$ac_t""${ac_cv_cxx_have_exceptions}" 1>&6
1057CXXFLAGS=$tmp_flags
1058if test "${ac_cv_cxx_have_exceptions}" = yes; then
1059CXXFLAGS="$CXXFLAGS -fno-exceptions"
1060fi
1061
1062
1063ac_ext=C
1064# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1065ac_cpp='$CXXCPP $CPPFLAGS'
1066ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1067ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1068cross_compiling=$ac_cv_prog_cxx_cross
1069
1070
1071  fi
1072  CXXTEMPLFLAGS="-fno-implicit-templates"
1073
1074
1075else
1076  CXXTEMPFLAGS=""
1077fi
1078
1079
1080trap '' 1 2 15
1081cat > confcache <<\EOF
1082# This file is a shell script that caches the results of configure
1083# tests run on this system so they can be shared between configure
1084# scripts and configure runs.  It is not useful on other systems.
1085# If it contains results you don't want to keep, you may remove or edit it.
1086#
1087# By default, configure uses ./config.cache as the cache file,
1088# creating it if it does not exist already.  You can give configure
1089# the --cache-file=FILE option to use a different cache file; that is
1090# what configure does when it calls configure scripts in
1091# subdirectories, so they share the cache.
1092# Giving --cache-file=/dev/null disables caching, for debugging configure.
1093# config.status only pays attention to the cache file if you give it the
1094# --recheck option to rerun configure.
1095#
1096EOF
1097# The following way of writing the cache mishandles newlines in values,
1098# but we know of no workaround that is simple, portable, and efficient.
1099# So, don't put newlines in cache variables' values.
1100# Ultrix sh set writes to stderr and can't be redirected directly,
1101# and sets the high bit in the cache file unless we assign to the vars.
1102(set) 2>&1 |
1103  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1104  *ac_space=\ *)
1105    # `set' does not quote correctly, so add quotes (double-quote substitution
1106    # turns \\\\ into \\, and sed turns \\ into \).
1107    sed -n \
1108      -e "s/'/'\\\\''/g" \
1109      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1110    ;;
1111  *)
1112    # `set' quotes correctly as required by POSIX, so do not add quotes.
1113    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1114    ;;
1115  esac >> confcache
1116if cmp -s $cache_file confcache; then
1117  :
1118else
1119  if test -w $cache_file; then
1120    echo "updating cache $cache_file"
1121    cat confcache > $cache_file
1122  else
1123    echo "not updating unwritable cache $cache_file"
1124  fi
1125fi
1126rm -f confcache
1127
1128trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1129
1130test "x$prefix" = xNONE && prefix=$ac_default_prefix
1131# Let make expand exec_prefix.
1132test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1133
1134# Any assignment to VPATH causes Sun make to only execute
1135# the first set of double-colon rules, so remove it if not needed.
1136# If there is a colon in the path, we need to keep it.
1137if test "x$srcdir" = x.; then
1138  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1139fi
1140
1141trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1142
1143DEFS=-DHAVE_CONFIG_H
1144
1145# Without the "./", some shells look in PATH for config.status.
1146: ${CONFIG_STATUS=./config.status}
1147
1148echo creating $CONFIG_STATUS
1149rm -f $CONFIG_STATUS
1150cat > $CONFIG_STATUS <<EOF
1151#! /bin/sh
1152# Generated automatically by configure.
1153# Run this file to recreate the current configuration.
1154# This directory was configured as follows,
1155# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1156#
1157# $0 $ac_configure_args
1158#
1159# Compiler output produced by configure, useful for debugging
1160# configure, is in ./config.log if it exists.
1161
1162ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1163for ac_option
1164do
1165  case "\$ac_option" in
1166  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1167    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1168    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1169  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1170    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1171    exit 0 ;;
1172  -help | --help | --hel | --he | --h)
1173    echo "\$ac_cs_usage"; exit 0 ;;
1174  *) echo "\$ac_cs_usage"; exit 1 ;;
1175  esac
1176done
1177
1178ac_given_srcdir=$srcdir
1179
1180trap 'rm -fr `echo "Makefile factor/version.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1181EOF
1182cat >> $CONFIG_STATUS <<EOF
1183
1184# Protect against being on the right side of a sed subst in config.status.
1185sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1186 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1187$ac_vpsub
1188$extrasub
1189s%@SHELL@%$SHELL%g
1190s%@CFLAGS@%$CFLAGS%g
1191s%@CPPFLAGS@%$CPPFLAGS%g
1192s%@CXXFLAGS@%$CXXFLAGS%g
1193s%@FFLAGS@%$FFLAGS%g
1194s%@DEFS@%$DEFS%g
1195s%@LDFLAGS@%$LDFLAGS%g
1196s%@LIBS@%$LIBS%g
1197s%@exec_prefix@%$exec_prefix%g
1198s%@prefix@%$prefix%g
1199s%@program_transform_name@%$program_transform_name%g
1200s%@bindir@%$bindir%g
1201s%@sbindir@%$sbindir%g
1202s%@libexecdir@%$libexecdir%g
1203s%@datadir@%$datadir%g
1204s%@sysconfdir@%$sysconfdir%g
1205s%@sharedstatedir@%$sharedstatedir%g
1206s%@localstatedir@%$localstatedir%g
1207s%@libdir@%$libdir%g
1208s%@includedir@%$includedir%g
1209s%@oldincludedir@%$oldincludedir%g
1210s%@infodir@%$infodir%g
1211s%@mandir@%$mandir%g
1212s%@libfac_name@%$libfac_name%g
1213s%@libfac_version@%$libfac_version%g
1214s%@libfac_date@%$libfac_date%g
1215s%@libfac_author@%$libfac_author%g
1216s%@libfac@%$libfac%g
1217s%@libfac_g@%$libfac_g%g
1218s%@libsingfac@%$libsingfac%g
1219s%@libsingfac_g@%$libsingfac_g%g
1220s%@factorH@%$factorH%g
1221s%@targetname@%$targetname%g
1222s%@CXX@%$CXX%g
1223s%@CXXCPP@%$CXXCPP%g
1224s%@SET_MAKE@%$SET_MAKE%g
1225s%@RANLIB@%$RANLIB%g
1226s%@AR@%$AR%g
1227s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1228
1229CEOF
1230EOF
1231
1232cat >> $CONFIG_STATUS <<\EOF
1233
1234# Split the substitutions into bite-sized pieces for seds with
1235# small command number limits, like on Digital OSF/1 and HP-UX.
1236ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1237ac_file=1 # Number of current file.
1238ac_beg=1 # First line for current file.
1239ac_end=$ac_max_sed_cmds # Line after last line for current file.
1240ac_more_lines=:
1241ac_sed_cmds=""
1242while $ac_more_lines; do
1243  if test $ac_beg -gt 1; then
1244    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1245  else
1246    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1247  fi
1248  if test ! -s conftest.s$ac_file; then
1249    ac_more_lines=false
1250    rm -f conftest.s$ac_file
1251  else
1252    if test -z "$ac_sed_cmds"; then
1253      ac_sed_cmds="sed -f conftest.s$ac_file"
1254    else
1255      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1256    fi
1257    ac_file=`expr $ac_file + 1`
1258    ac_beg=$ac_end
1259    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1260  fi
1261done
1262if test -z "$ac_sed_cmds"; then
1263  ac_sed_cmds=cat
1264fi
1265EOF
1266
1267cat >> $CONFIG_STATUS <<EOF
1268
1269CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1270EOF
1271cat >> $CONFIG_STATUS <<\EOF
1272for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1273  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1274  case "$ac_file" in
1275  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1276       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1277  *) ac_file_in="${ac_file}.in" ;;
1278  esac
1279
1280  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1281
1282  # Remove last slash and all that follows it.  Not all systems have dirname.
1283  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1284  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1285    # The file is in a subdirectory.
1286    test ! -d "$ac_dir" && mkdir "$ac_dir"
1287    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1288    # A "../" for each directory in $ac_dir_suffix.
1289    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1290  else
1291    ac_dir_suffix= ac_dots=
1292  fi
1293
1294  case "$ac_given_srcdir" in
1295  .)  srcdir=.
1296      if test -z "$ac_dots"; then top_srcdir=.
1297      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1298  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1299  *) # Relative path.
1300    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1301    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1302  esac
1303
1304
1305  echo creating "$ac_file"
1306  rm -f "$ac_file"
1307  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1308  case "$ac_file" in
1309  *Makefile*) ac_comsub="1i\\
1310# $configure_input" ;;
1311  *) ac_comsub= ;;
1312  esac
1313
1314  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1315  sed -e "$ac_comsub
1316s%@configure_input@%$configure_input%g
1317s%@srcdir@%$srcdir%g
1318s%@top_srcdir@%$top_srcdir%g
1319" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1320fi; done
1321rm -f conftest.s*
1322
1323# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1324# NAME is the cpp macro being defined and VALUE is the value it is being given.
1325#
1326# ac_d sets the value in "#define NAME VALUE" lines.
1327ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
1328ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
1329ac_dC='\3'
1330ac_dD='%g'
1331# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1332ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1333ac_uB='\([      ]\)%\1#\2define\3'
1334ac_uC=' '
1335ac_uD='\4%g'
1336# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1337ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1338ac_eB='$%\1#\2define\3'
1339ac_eC=' '
1340ac_eD='%g'
1341
1342if test "${CONFIG_HEADERS+set}" != set; then
1343EOF
1344cat >> $CONFIG_STATUS <<EOF
1345  CONFIG_HEADERS="factor/version.h"
1346EOF
1347cat >> $CONFIG_STATUS <<\EOF
1348fi
1349for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1350  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1351  case "$ac_file" in
1352  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1353       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1354  *) ac_file_in="${ac_file}.in" ;;
1355  esac
1356
1357  echo creating $ac_file
1358
1359  rm -f conftest.frag conftest.in conftest.out
1360  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1361  cat $ac_file_inputs > conftest.in
1362
1363EOF
1364
1365# Transform confdefs.h into a sed script conftest.vals that substitutes
1366# the proper values into config.h.in to produce config.h.  And first:
1367# Protect against being on the right side of a sed subst in config.status.
1368# Protect against being in an unquoted here document in config.status.
1369rm -f conftest.vals
1370cat > conftest.hdr <<\EOF
1371s/[\\&%]/\\&/g
1372s%[\\$`]%\\&%g
1373s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1374s%ac_d%ac_u%gp
1375s%ac_u%ac_e%gp
1376EOF
1377sed -n -f conftest.hdr confdefs.h > conftest.vals
1378rm -f conftest.hdr
1379
1380# This sed command replaces #undef with comments.  This is necessary, for
1381# example, in the case of _POSIX_SOURCE, which is predefined and required
1382# on some systems where configure will not decide to define it.
1383cat >> conftest.vals <<\EOF
1384s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1385EOF
1386
1387# Break up conftest.vals because some shells have a limit on
1388# the size of here documents, and old seds have small limits too.
1389
1390rm -f conftest.tail
1391while :
1392do
1393  ac_lines=`grep -c . conftest.vals`
1394  # grep -c gives empty output for an empty file on some AIX systems.
1395  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1396  # Write a limited-size here document to conftest.frag.
1397  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1398  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1399  echo 'CEOF
1400  sed -f conftest.frag conftest.in > conftest.out
1401  rm -f conftest.in
1402  mv conftest.out conftest.in
1403' >> $CONFIG_STATUS
1404  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1405  rm -f conftest.vals
1406  mv conftest.tail conftest.vals
1407done
1408rm -f conftest.vals
1409
1410cat >> $CONFIG_STATUS <<\EOF
1411  rm -f conftest.frag conftest.h
1412  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1413  cat conftest.in >> conftest.h
1414  rm -f conftest.in
1415  if cmp -s $ac_file conftest.h 2>/dev/null; then
1416    echo "$ac_file is unchanged"
1417    rm -f conftest.h
1418  else
1419    # Remove last slash and all that follows it.  Not all systems have dirname.
1420      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1421      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1422      # The file is in a subdirectory.
1423      test ! -d "$ac_dir" && mkdir "$ac_dir"
1424    fi
1425    rm -f $ac_file
1426    mv conftest.h $ac_file
1427  fi
1428fi; done
1429
1430EOF
1431cat >> $CONFIG_STATUS <<EOF
1432
1433EOF
1434cat >> $CONFIG_STATUS <<\EOF
1435
1436exit 0
1437EOF
1438chmod +x $CONFIG_STATUS
1439rm -fr confdefs* $ac_clean_files
1440test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1441
Note: See TracBrowser for help on using the repository browser.